# Class StopXmrNodeRequest

#### Hierarchy

- unknown
  - StopXmrNodeRequest

- Defined in src/protobuf/grpc_pb.d.ts:1318
- Defined in src/protobuf/grpc_pb.d.ts:1327

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StopXmrNodeRequest(): StopXmrNodeRequest

- #### Returns StopXmrNodeRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1319

### toObject

- toObject(includeInstance?: boolean): StopXmrNodeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StopXmrNodeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1320

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StopXmrNodeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StopXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1323

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StopXmrNodeRequest, reader: BinaryReader): StopXmrNodeRequest

- #### Parameters

  - ##### message: StopXmrNodeRequest

  - ##### reader: BinaryReader

  #### Returns StopXmrNodeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1324

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StopXmrNodeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StopXmrNodeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1322

### `Static` toObject

- toObject(includeInstance: boolean, msg: StopXmrNodeRequest): StopXmrNodeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StopXmrNodeRequest

  #### Returns StopXmrNodeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1321

Generated using TypeDoc